Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface ANY

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AD, ADXP, AdxpAdditionalLocator, AdxpBuildingNumberSuffix, AdxpCareOf, AdxpCensusTract, AdxpCity, AdxpCountry, AdxpCounty, AdxpDelimiter, AdxpDeliveryAddressLine, AdxpDeliveryInstallationArea, AdxpDeliveryInstallationQualifier, AdxpDeliveryInstallationType, AdxpDeliveryMode, AdxpDeliveryModeIdentifier, AdxpDirection, AdxpHouseNumber, AdxpHouseNumberNumeric, AdxpPostalCode, AdxpPostBox, AdxpPrecinct, AdxpState, AdxpStreetAddressLine, AdxpStreetName, AdxpStreetNameBase, AdxpStreetNameType, AdxpUnitID, AdxpUnitType, ANYNonNull, BIN1, BL1, BN1, BXITCD, BXITIVLPQ, CD, CE, CO, CR, CS1, CV, ED, EIVLEvent, EIVLPPDTS, EIVLTS, EN, EnDelimiter, EnFamily, EnGiven, EnPrefix, EnSuffix, ENXP, GLISTPQ, GLISTTS, HXITCE, HXITPQ, II, INT1, IVLINT, IVLMO, IVLPPDPQ, IVLPPDTS, IVLPQ, IVLREAL, IVLTS, IVXBINT, IVXBMO, IVXBPPDPQ, IVXBPPDTS, IVXBPQ, IVXBREAL, IVXBTS, MO, ON, PIVLPPDTS, PIVLTS, PN, POCDMT000040InfrastructureRootTypeId, POCDMT000040RegionOfInterestValue, PPDPQ, PPDTS, PQ, PQR, QTY, REAL1, RTO, RTOMOPQ, RTOPQPQ, RTOQTYQTY, SC, SLISTPQ, SLISTTS, ST1, SXCMCD, SXCMINT, SXCMMO, SXCMPPDPQ, SXCMPPDTS, SXCMPQ, SXCMREAL, SXCMTS, SXPRTS, TEL, Thumbnail, TN, TS1, URL1, UVPTS

All Known Implementing Classes:
  ADImpl, AdxpAdditionalLocatorImpl, AdxpBuildingNumberSuffixImpl, AdxpCareOfImpl, AdxpCensusTractImpl, AdxpCityImpl, AdxpCountryImpl, AdxpCountyImpl, AdxpDelimiterImpl, AdxpDeliveryAddressLineImpl, AdxpDeliveryInstallationAreaImpl, AdxpDeliveryInstallationQualifierImpl, AdxpDeliveryInstallationTypeImpl, AdxpDeliveryModeIdentifierImpl, AdxpDeliveryModeImpl, AdxpDirectionImpl, AdxpHouseNumberImpl, AdxpHouseNumberNumericImpl, ADXPImpl, AdxpPostalCodeImpl, AdxpPostBoxImpl, AdxpPrecinctImpl, AdxpStateImpl, AdxpStreetAddressLineImpl, AdxpStreetNameBaseImpl, AdxpStreetNameImpl, AdxpStreetNameTypeImpl, AdxpUnitIDImpl, AdxpUnitTypeImpl, ANYImpl, ANYNonNullImpl, BIN1Impl, BL1Impl, BN1Impl, BXITCDImpl, BXITIVLPQImpl, CDImpl, CEImpl, COImpl, CRImpl, CS1Impl, CVImpl, EDImpl, EIVLEventImpl, EIVLPPDTSImpl, EIVLTSImpl, EnDelimiterImpl, EnFamilyImpl, EnGivenImpl, ENImpl, EnPrefixImpl, EnSuffixImpl, ENXPImpl, GLISTPQImpl, GLISTTSImpl, HXITCEImpl, HXITPQImpl, IIImpl, INT1Impl, IVLINTImpl, IVLMOImpl, IVLPPDPQImpl, IVLPPDTSImpl, IVLPQImpl, IVLREALImpl, IVLTSImpl, IVXBINTImpl, IVXBMOImpl, IVXBPPDPQImpl, IVXBPPDTSImpl, IVXBPQImpl, IVXBREALImpl, IVXBTSImpl, MOImpl, ONImpl, PIVLPPDTSImpl, PIVLTSImpl, PNImpl, POCDMT000040InfrastructureRootTypeIdImpl, POCDMT000040RegionOfInterestValueImpl, PPDPQImpl, PPDTSImpl, PQImpl, PQRImpl, QTYImpl, REAL1Impl, RTOImpl, RTOMOPQImpl, RTOPQPQImpl, RTOQTYQTYImpl, SCImpl, SLISTPQImpl, SLISTTSImpl, ST1Impl, SXCMCDImpl, SXCMINTImpl, SXCMMOImpl, SXCMPPDPQImpl, SXCMPPDTSImpl, SXCMPQImpl, SXCMREALImpl, SXCMTSImpl, SXPRTSImpl, TELImpl, ThumbnailImpl, TNImpl, TS1Impl, URL1Impl, UVPTSImpl

    public interface ANY

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'ANY'. Defines the basic properties of every data value. This is an abstract type, meaning that no value can be just a data value without belonging to any concrete type. Every concrete type is a specialization of this general abstract DataValue type.

The following features are supported:

- `Null Flavor`

See Also:
  `CDAR2Package.getANY()`

Method Summary
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute. An exceptional value expressing missing information and possibly the reason why the information is missing.

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getANY_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD